Skip to main content
GET
/
v1
/
transaction
Buscar transações
curl --request GET \
  --url https://sandbox.api.veepag.com/v1/transaction \
  --header 'apiKey: <api-key>'
{
  "items": [],
  "has_more": false,
  "limit": 20,
  "total_pages": 1,
  "page": 1,
  "total": 0,
  "query_count": 0
}

Authorizations

apiKey
string
header
required

API key no formato keyId.secret.

Query Parameters

endLastUpdate
string<date-time>

End date for last update filter (format: ISO date)

startLastUpdate
string<date-time>

Start date for last update filter (format: ISO date)

endDate
string<date-time>

End date filter (format: ISO date)

startDate
string<date-time>

Start date filter (format: ISO date)

page
integer
default:1

Page number (starting at 1)

Required range: x >= 1
Example:

1

limit
integer
default:20

Max items per page (1-100)

Required range: 1 <= x <= 100
Example:

20

sort.order
enum<string>
default:desc

Sort direction (asc|desc)

Available options:
asc,
desc
Example:

"desc"

sort.property
enum<string>
default:createdAt

Sort field (createdAt|lastUpdate)

Available options:
createdAt,
lastUpdate
Example:

"createdAt"

rangeTime.end
string<date-time>

Range end (ISO string). Used with sort.type.

Example:

"2026-06-23T23:59:59.999Z"

rangeTime.start
string<date-time>

Range start (ISO string). Used with sort.type.

Example:

"2026-06-01T00:00:00.000Z"

message
string

Message contains (case-insensitive) Busca parcial case-insensitive.

cardLast4
string

Last 4 digits of the card

Required string length: 4
Example:

"1111"

cardFirst6
string

First 6 digits of the card (BIN)

Required string length: 6
Example:

"411111"

status
string[]

Transaction status

clientDoc
string

Client document Documento do cliente, CPF ou CNPJ.

clientId
string

Client ID

subscriptionId
string

Subscription ID

tid
string

Transaction TID

id
string

Transaction ID

companyId
string
required

Company ID

Example:

"company_id"

Response

Transacoes paginadas.

items
object[]
has_more
boolean
Example:

false

limit
integer
Example:

20

total_pages
integer
Example:

1

page
integer
Example:

1

total
integer
Example:

0

query_count
integer
Example:

0